diff --git a/monitor/rear_mount.py b/monitor/rear_mount.py index 76ce802..b76a205 100644 --- a/monitor/rear_mount.py +++ b/monitor/rear_mount.py @@ -14,8 +14,7 @@ from hinge import hinge_profile_1, hinge_profile_2, hinge_t, hinge_gap, hinge_w reinforcement_height = 1 + 1 + ti_depth - shell_t -rear_mount_thickness = reinforcement_height + screw_head_h + shell_t -rear_mount_width = width / 2 + 2 * shell_t +rear_mount_width = width / 2 back_reinforcement_cutout = ( cq.Sketch() @@ -45,11 +44,7 @@ rear_mount = ( # Basic filleted box shape cq.Workplane("bottom") .placeSketch(back_reinforcement_outer) - .extrude(rear_mount_thickness) - .faces(">Y") - .workplane(centerOption="CenterOfBoundBox") - .placeSketch(back_reinforcement_cutout) - .cutBlind(-reinforcement_height) + .extrude(screw_head_h + shell_t) .faces("X") .workplane(centerOption="CenterOfBoundBox", offset=-(rear_mount_width - 20) / 2) .transformed(rotate=cq.Vector(0, 0, 90)) - .center(-hinge_w / 2, rear_mount_thickness / 2) + .center(-hinge_w / 2, 0) .tag("hingeplane") .placeSketch(hinge_profile_1) .extrude(-hinge_t)